Subject: RE: [External] : bug#46884: [PATCH] 27.1; Cannot run find-dired with -maxdepth

From: Drew Adams <[email-masked]>
Date: Wed, 3 Mar 2021 15:42:59 +0000

>> This is okay, IMO, but it would be better to allow
>> the user to specify GLOBAL-ARGS interactively if
>> the user invokes the command with a prefix argument.
>
> ... I would rather call find-dired via M-x and iterate
> on getting the command right that way, than try to call
> find-dired interactively repeatedly with a universal
> prefix arg...

I guess no one has bothered to try the code I provided...

I agree with Allen about not providing special
interactive support for things like max-depth.

`find-dired' has the property that what you specify
is available as default for the next time you use it.
That helps with this question of interactive support,
I think.

Remember that `find' pretty much has its own language.
Users of `find' generally need to be familiar with
that language, more or less.  Emacs can provide some
convenience, however.

The code I pointed to already does what this bug
requests, I think - does it not?  And it does so for
`find-dired', `find-name-dired', `find-grep-dired',
and a new command, `find-time-dired'.